Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class EntityBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AccountBean, BackgroundCheckBean, CalendarEventBean, CandidateBean, ContactBean, InterviewBean, OfferBean, ReferenceBean, RequisitionBean, TaskBean, UserBean

public class EntityBean
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EntityBean()`
`EntityBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Calendar` | `getCreationDate()` Gets the creationDate value for this EntityBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`FlexFieldBean[]` | `getFlexValues()` Gets the flexValues value for this EntityBean.
`long` | `getId()` Gets the id value for this EntityBean.
`java.util.Calendar` | `getLastUpdated()` Gets the lastUpdated value for this EntityBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getStatus()` Gets the status value for this EntityBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCreationDate(java.util.Calendar creationDate)` Sets the creationDate value for this EntityBean.
`void` | `setFlexValues(FlexFieldBean[] flexValues)` Sets the flexValues value for this EntityBean.
`void` | `setId(long id)` Sets the id value for this EntityBean.
`void` | `setLastUpdated(java.util.Calendar lastUpdated)` Sets the lastUpdated value for this EntityBean.
`void` | `setStatus(java.lang.String status)` Sets the status value for this EntityBean.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBean

    public EntityBean()

### EntityBean

    public EntityBean(java.util.Calendar creationDate,
                      FlexFieldBean[] flexValues,
                      long id,
                      java.util.Calendar lastUpdated,
                      java.lang.String status)

Method Detail

### getCreationDate

    public java.util.Calendar getCreationDate()

  Gets the creationDate value for this EntityBean.

  Returns:
    creationDate

### setCreationDate

    public void setCreationDate(java.util.Calendar creationDate)

  Sets the creationDate value for this EntityBean.

  Parameters:
    `creationDate` -

### getFlexValues

    public FlexFieldBean[] getFlexValues()

  Gets the flexValues value for this EntityBean.

  Returns:
    flexValues

### setFlexValues

    public void setFlexValues(FlexFieldBean[] flexValues)

  Sets the flexValues value for this EntityBean.

  Parameters:
    `flexValues` -

### getId

    public long getId()

  Gets the id value for this EntityBean.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this EntityBean.

  Parameters:
    `id` -

### getLastUpdated

    public java.util.Calendar getLastUpdated()

  Gets the lastUpdated value for this EntityBean.

  Returns:
    lastUpdated

### setLastUpdated

    public void setLastUpdated(java.util.Calendar lastUpdated)

  Sets the lastUpdated value for this EntityBean.

  Parameters:
    `lastUpdated` -

### getStatus

    public java.lang.String getStatus()

  Gets the status value for this EntityBean.

  Returns:
    status

### setStatus

    public void setStatus(java.lang.String status)

  Sets the status value for this EntityBean.

  Parameters:
    `status` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD